<?xml version="1.0"?>
<!--
  Used to generate a document listing URIs from a search result input.
  The output is a list of 'uri' elements in a root 'uris' element.
  Each 'uri' element is similar to the usual Pageseeder Server output.

  @author Jean-Baptiste Reure
  @version 10 April 2012

  Copyright (C) 2009 Weborganic Systems Pty. Ltd.
-->
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:enc="java:java.net.URLEncoder"
	xmlns:psf="http://www.pageseeder.com/function"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	exclude-result-prefixes="xs psf enc">

  <xsl:output encoding="UTF-8" method="xml" />

	<xsl:template match="/">
    <uris>
      <xsl:apply-templates select="//documents/document" />
    </uris>
	</xsl:template>

	<xsl:template match="document">
	  <uri>
	    <xsl:variable name="path" select="concat(field[@name='psurifolder'],'/',field[@name='psfilename'])"/>
	    <decodedpath><xsl:value-of select="$path"/></decodedpath>
	    <path><xsl:value-of select="psf:encode-path($path)"/></path>
	    <id><xsl:value-of select="field[@name='psid']"/></id>
      <type><xsl:value-of select="field[@name='psmediatype']"/></type>
      <xsl:if test="field[@name='psmediatype']='application/vnd.pageseeder.document.standard+xml'">
        <behavior>standard--</behavior>
      </xsl:if>
		</uri>
	</xsl:template>
  
  <xsl:function name="psf:encode-path">
    <xsl:param name="path" as="xs:string"/> 
    <xsl:for-each select="tokenize($path, '/')">
      <xsl:value-of select="enc:encode(., 'utf-8')"/>
      <xsl:if test="position() != last()">/</xsl:if>
    </xsl:for-each>
  </xsl:function>

</xsl:stylesheet>

