<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:ve="http://schemas.openxmlformats.org/markup-compatibility/2006"
	xmlns:o="urn:schemas-microsoft-com:office:office"
	xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships"
	xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math"
	xmlns:v="urn:schemas-microsoft-com:vml"
	xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing"
	xmlns:w10="urn:schemas-microsoft-com:office:word"
	xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
	xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml"
	xmlns:pic="http://schemas.openxmlformats.org/drawingml/2006/picture"
	xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main"
	xmlns:fn="http://www.pageseeder.com/function" xmlns:dec="java:java.net.URLDecoder">

	<xsl:function name="fn:elementType">
		<xsl:param name="name" />
		<xsl:choose>
			<xsl:when
				test="$name='para' or $name='item' or $name='paraLabel' or $name='code' or $name='blockXref' or starts-with($name,'heading') or $name='title'">
				<xsl:value-of select="'block'" />
			</xsl:when>
			<xsl:when test="$name='table'">
				<xsl:value-of select="'table'" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="'inline'" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:function>

	<xsl:function name="fn:hasBlockElements">
		<xsl:param name="element" />
		<xsl:choose>
			<xsl:when
				test="$element/paraLabel or $element/para or $element/*[starts-with(name(),'heading')] or $element/code or $element/mlist or $element/nlist or $element/table or $element/list or $element/blockXref">
				<xsl:value-of select="true()" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="false()" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:function>

	<xsl:function name="fn:isBlockElement">
		<xsl:param name="element" />
		<xsl:choose>
			<xsl:when
				test="$element[starts-with(name(),'heading') or contains(name(),'list') or name()='para' or
                                        name()='paraLabel' or name()='table' or name()='code' or name()='blockXref']">
               <xsl:value-of select="true()" />
			</xsl:when>
			
			<xsl:otherwise>
				<xsl:value-of select="false()" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:function>

</xsl:stylesheet>