<?xml version="1.0"?>
<!--
    This xslt creates numbering.xml
    @cvsid $Id: numbering.xsl,v 1.1 2010/04/13 04:30:09 yfeng Exp $ 
    @author Christine Feng 
-->
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:ve="http://schemas.openxmlformats.org/markup-compatibility/2006"
	xmlns:o="urn:schemas-microsoft-com:office:office"
	xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships"
	xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math"
	xmlns:v="urn:schemas-microsoft-com:vml"
	xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing"
	xmlns:w10="urn:schemas-microsoft-com:office:word"
	xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
	xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml"
	xmlns:pic="http://schemas.openxmlformats.org/drawingml/2006/picture"
	xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main"
	xmlns:fn="http://www.pageseeder.com/function" xmlns:dec="java:java.net.URLDecoder">


	<xsl:output encoding="UTF-8" method="xml" indent="no" />
    
	<xsl:variable name="allLists">
		<xsl:copy-of
			select="//*[name()='list' or name()='nlist'][not(ancestor::list or ancestor::nlist)]" />
	</xsl:variable>

	<xsl:variable name="numAllLists">
		<xsl:value-of select="count($allLists/*)" />
	</xsl:variable>

	<xsl:variable name="nums">
		<xsl:for-each select="$allLists/*">
			<w:num w:numId="{position()}">
				<w:abstractNumId w:val="{position()-1}" />
			</w:num>
		</xsl:for-each>
	</xsl:variable>

	<xsl:variable name="nLv1">
		<w:lvl w:ilvl="0" w:tplc="0C09000F">
			<w:start w:val="1" />
			<w:numFmt w:val="decimal" />
			<w:lvlText w:val="%1." />
			<w:lvlJc w:val="left" />
			<w:pPr>
				<w:ind w:left="720" w:hanging="360" />
			</w:pPr>
		</w:lvl>
	</xsl:variable>
	<xsl:variable name="nLv2">
		<w:lvl w:ilvl="1" w:tplc="0C090019">
			<w:start w:val="1" />
			<w:numFmt w:val="lowerLetter" />
			<w:lvlText w:val="%2." />
			<w:lvlJc w:val="left" />
			<w:pPr>
				<w:ind w:left="1440" w:hanging="360" />
			</w:pPr>
		</w:lvl>
	</xsl:variable>
	<xsl:variable name="nLv3">
		<w:lvl w:ilvl="2" w:tplc="0C09001B" w:tentative="1">
			<w:start w:val="1" />
			<w:numFmt w:val="lowerRoman" />
			<w:lvlText w:val="%3." />
			<w:lvlJc w:val="right" />
			<w:pPr>
				<w:ind w:left="2160" w:hanging="180" />
			</w:pPr>
		</w:lvl>
	</xsl:variable>
	<xsl:variable name="nLv4">
		<w:lvl w:ilvl="3" w:tplc="0C09000F" w:tentative="1">
			<w:start w:val="1" />
			<w:numFmt w:val="decimal" />
			<w:lvlText w:val="%4." />
			<w:lvlJc w:val="left" />
			<w:pPr>
				<w:ind w:left="2880" w:hanging="360" />
			</w:pPr>
		</w:lvl>
	</xsl:variable>
	<xsl:variable name="nLv5">
		<w:lvl w:ilvl="4" w:tplc="0C090019" w:tentative="1">
			<w:start w:val="1" />
			<w:numFmt w:val="lowerLetter" />
			<w:lvlText w:val="%5." />
			<w:lvlJc w:val="left" />
			<w:pPr>
				<w:ind w:left="3600" w:hanging="360" />
			</w:pPr>
		</w:lvl>
	</xsl:variable>
	<xsl:variable name="nLv6">
		<w:lvl w:ilvl="5" w:tplc="0C09001B" w:tentative="1">
			<w:start w:val="1" />
			<w:numFmt w:val="lowerRoman" />
			<w:lvlText w:val="%6." />
			<w:lvlJc w:val="right" />
			<w:pPr>
				<w:ind w:left="4320" w:hanging="180" />
			</w:pPr>
		</w:lvl>
	</xsl:variable>
	<xsl:variable name="nLv7">
		<w:lvl w:ilvl="6" w:tplc="0C09000F" w:tentative="1">
			<w:start w:val="1" />
			<w:numFmt w:val="decimal" />
			<w:lvlText w:val="%7." />
			<w:lvlJc w:val="left" />
			<w:pPr>
				<w:ind w:left="5040" w:hanging="360" />
			</w:pPr>
		</w:lvl>
	</xsl:variable>
	<xsl:variable name="nLv8">
		<w:lvl w:ilvl="7" w:tplc="0C090003" w:tentative="1">
			<w:start w:val="1" />
			<w:numFmt w:val="bullet" />
			<w:lvlText w:val="o" />
			<w:lvlJc w:val="left" />
			<w:pPr>
				<w:ind w:left="5760" w:hanging="360" />
			</w:pPr>
			<w:rPr>
				<w:rFonts w:ascii="Courier New" w:hAnsi="Courier New" w:cs="Courier New"
					w:hint="default" />
			</w:rPr>
		</w:lvl>
	</xsl:variable>
	<xsl:variable name="nLv9">
		<w:lvl w:ilvl="8" w:tplc="0C090005" w:tentative="1">
			<w:start w:val="1" />
			<w:numFmt w:val="bullet" />
			<w:lvlText w:val="" />
			<w:lvlJc w:val="left" />
			<w:pPr>
				<w:ind w:left="6480" w:hanging="360" />
			</w:pPr>
			<w:rPr>
				<w:rFonts w:ascii="Wingdings" w:hAnsi="Wingdings" w:hint="default" />
			</w:rPr>
		</w:lvl>
	</xsl:variable>

	<xsl:variable name="bLv1">
		<w:lvl w:ilvl="0" w:tplc="0C090001">
			<w:start w:val="1" />
			<w:numFmt w:val="bullet" />
			<w:lvlText w:val="" />
			<w:lvlJc w:val="left" />
			<w:pPr>
				<w:ind w:left="720" w:hanging="360" />
			</w:pPr>
			<w:rPr>
				<w:rFonts w:ascii="Symbol" w:hAnsi="Symbol" w:hint="default" />
			</w:rPr>
		</w:lvl>
	</xsl:variable>
	<xsl:variable name="bLv2">
		<w:lvl w:ilvl="1" w:tplc="0C090003">
			<w:start w:val="1" />
			<w:numFmt w:val="bullet" />
			<w:lvlText w:val="o" />
			<w:lvlJc w:val="left" />
			<w:pPr>
				<w:ind w:left="1440" w:hanging="360" />
			</w:pPr>
			<w:rPr>
				<w:rFonts w:ascii="Courier New" w:hAnsi="Courier New" w:cs="Courier New"
					w:hint="default" />
			</w:rPr>
		</w:lvl>
	</xsl:variable>
	<xsl:variable name="bLv3">
		<w:lvl w:ilvl="2" w:tplc="0C090005" w:tentative="1">
			<w:start w:val="1" />
			<w:numFmt w:val="bullet" />
			<w:lvlText w:val="" />
			<w:lvlJc w:val="left" />
			<w:pPr>
				<w:ind w:left="2160" w:hanging="360" />
			</w:pPr>
			<w:rPr>
				<w:rFonts w:ascii="Wingdings" w:hAnsi="Wingdings" w:hint="default" />
			</w:rPr>
		</w:lvl>
	</xsl:variable>
	<xsl:variable name="bLv4">
		<w:lvl w:ilvl="3" w:tplc="0C090001" w:tentative="1">
			<w:start w:val="1" />
			<w:numFmt w:val="bullet" />
			<w:lvlText w:val="" />
			<w:lvlJc w:val="left" />
			<w:pPr>
				<w:ind w:left="2880" w:hanging="360" />
			</w:pPr>
			<w:rPr>
				<w:rFonts w:ascii="Symbol" w:hAnsi="Symbol" w:hint="default" />
			</w:rPr>
		</w:lvl>
	</xsl:variable>
	<xsl:variable name="bLv5">
		<w:lvl w:ilvl="4" w:tplc="0C090003" w:tentative="1">
			<w:start w:val="1" />
			<w:numFmt w:val="bullet" />
			<w:lvlText w:val="o" />
			<w:lvlJc w:val="left" />
			<w:pPr>
				<w:ind w:left="3600" w:hanging="360" />
			</w:pPr>
			<w:rPr>
				<w:rFonts w:ascii="Courier New" w:hAnsi="Courier New" w:cs="Courier New"
					w:hint="default" />
			</w:rPr>
		</w:lvl>
	</xsl:variable>
	<xsl:variable name="bLv6">
		<w:lvl w:ilvl="5" w:tplc="0C090005" w:tentative="1">
			<w:start w:val="1" />
			<w:numFmt w:val="bullet" />
			<w:lvlText w:val="" />
			<w:lvlJc w:val="left" />
			<w:pPr>
				<w:ind w:left="4320" w:hanging="360" />
			</w:pPr>
			<w:rPr>
				<w:rFonts w:ascii="Wingdings" w:hAnsi="Wingdings" w:hint="default" />
			</w:rPr>
		</w:lvl>
	</xsl:variable>
	<xsl:variable name="bLv7">
		<w:lvl w:ilvl="6" w:tplc="0C090001" w:tentative="1">
			<w:start w:val="1" />
			<w:numFmt w:val="bullet" />
			<w:lvlText w:val="" />
			<w:lvlJc w:val="left" />
			<w:pPr>
				<w:ind w:left="5040" w:hanging="360" />
			</w:pPr>
			<w:rPr>
				<w:rFonts w:ascii="Symbol" w:hAnsi="Symbol" w:hint="default" />
			</w:rPr>
		</w:lvl>
	</xsl:variable>
	<xsl:variable name="bLv8">
		<w:lvl w:ilvl="7" w:tplc="0C090003" w:tentative="1">
			<w:start w:val="1" />
			<w:numFmt w:val="bullet" />
			<w:lvlText w:val="o" />
			<w:lvlJc w:val="left" />
			<w:pPr>
				<w:ind w:left="5760" w:hanging="360" />
			</w:pPr>
			<w:rPr>
				<w:rFonts w:ascii="Courier New" w:hAnsi="Courier New" w:cs="Courier New"
					w:hint="default" />
			</w:rPr>
		</w:lvl>
	</xsl:variable>
	<xsl:variable name="bLv9">
		<w:lvl w:ilvl="8" w:tplc="0C090005" w:tentative="1">
			<w:start w:val="1" />
			<w:numFmt w:val="bullet" />
			<w:lvlText w:val="" />
			<w:lvlJc w:val="left" />
			<w:pPr>
				<w:ind w:left="6480" w:hanging="360" />
			</w:pPr>
			<w:rPr>
				<w:rFonts w:ascii="Wingdings" w:hAnsi="Wingdings" w:hint="default" />
			</w:rPr>
		</w:lvl>
	</xsl:variable>

    <xsl:template name="createListTest">
        <xsl:param name="id" />
        <w:abstractNum w:abstractNumId="{number($id)-1}">
            <w:nsid w:val="0DBA5D{$id}" />
            <w:multiLevelType w:val="hybridMultilevel" />
            <w:tmpl w:val="57804BB6" />
            <xsl:variable name="totalLv" select="count(descendant::list|descendant::nlist)+1"/>
            <xsl:for-each select="self::*|descendant::list|descendant::nlist">
                <xsl:variable name="lv" select="count(ancestor::list|ancestor::nlist)+1"/>
                <xsl:choose>
                    <xsl:when test="$lv=1">
                        <xsl:choose>
                            <xsl:when test="name()='list'">
                                <xsl:copy-of select="$bLv1"/>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:copy-of select="$nLv1"/>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="$lv=2">
                        <xsl:choose>
                            <xsl:when test="name()='list'">
                                <xsl:copy-of select="$bLv2"/>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:copy-of select="$nLv2"/>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="$lv=3">
                        <xsl:choose>
                            <xsl:when test="name()='list'">
                                <xsl:copy-of select="$bLv3"/>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:copy-of select="$nLv3"/>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="$lv=4">
                        <xsl:choose>
                            <xsl:when test="name()='list'">
                                <xsl:copy-of select="$bLv4"/>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:copy-of select="$nLv4"/>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="$lv=5">
                        <xsl:choose>
                            <xsl:when test="name()='list'">
                                <xsl:copy-of select="$bLv5"/>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:copy-of select="$nLv5"/>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="$lv=6">
                        <xsl:choose>
                            <xsl:when test="name()='list'">
                                <xsl:copy-of select="$bLv6"/>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:copy-of select="$nLv6"/>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="$lv=7">
                        <xsl:choose>
                            <xsl:when test="name()='list'">
                                <xsl:copy-of select="$bLv7"/>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:copy-of select="$nLv7"/>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="$lv=8">
                        <xsl:choose>
                            <xsl:when test="name()='list'">
                                <xsl:copy-of select="$bLv8"/>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:copy-of select="$nLv8"/>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                    <xsl:when test="$lv=9">
                        <xsl:choose>
                            <xsl:when test="name()='list'">
                                <xsl:copy-of select="$bLv9"/>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:copy-of select="$nLv9"/>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:when>
                </xsl:choose>
            </xsl:for-each>
            <xsl:for-each select="for $i in ($totalLv to 8) return $i">
                <w:lvl w:ilvl="{.}" w:tplc="0C090001" w:tentative="1">
	                <w:start w:val="1" />
	                <w:numFmt w:val="bullet" />
	                <w:lvlText w:val="" />
	                <w:lvlJc w:val="left" />
	                <w:pPr>
	                    <w:ind w:left="{720*(.+1)}" w:hanging="360" />
	                </w:pPr>
	                <w:rPr>
	                    <w:rFonts w:ascii="Symbol" w:hAnsi="Symbol" w:hint="default" />
	                </w:rPr>
            </w:lvl>
            </xsl:for-each>
        </w:abstractNum>
        
    </xsl:template>
    
	<xsl:template name="createNList">
		<xsl:param name="id" />
		<w:abstractNum w:abstractNumId="{number($id)-1}">
			<w:nsid w:val="0DBA5D{$id}" />
			<w:multiLevelType w:val="hybridMultilevel" />
			<w:tmpl w:val="57804BB6" />
			<w:lvl w:ilvl="0" w:tplc="0C09000F">
				<w:start w:val="1" />
				<w:numFmt w:val="decimal" />
				<w:lvlText w:val="%1." />
				<w:lvlJc w:val="left" />
				<w:pPr>
					<w:ind w:left="720" w:hanging="360" />
				</w:pPr>
			</w:lvl>
			<w:lvl w:ilvl="1" w:tplc="0C090019">
				<w:start w:val="1" />
				<w:numFmt w:val="lowerLetter" />
				<w:lvlText w:val="%2." />
				<w:lvlJc w:val="left" />
				<w:pPr>
					<w:ind w:left="1440" w:hanging="360" />
				</w:pPr>
			</w:lvl>
			<w:lvl w:ilvl="2" w:tplc="0C09001B" w:tentative="1">
				<w:start w:val="1" />
				<w:numFmt w:val="lowerRoman" />
				<w:lvlText w:val="%3." />
				<w:lvlJc w:val="right" />
				<w:pPr>
					<w:ind w:left="2160" w:hanging="180" />
				</w:pPr>
			</w:lvl>
			<w:lvl w:ilvl="3" w:tplc="0C09000F" w:tentative="1">
				<w:start w:val="1" />
				<w:numFmt w:val="decimal" />
				<w:lvlText w:val="%4." />
				<w:lvlJc w:val="left" />
				<w:pPr>
					<w:ind w:left="2880" w:hanging="360" />
				</w:pPr>
			</w:lvl>
			<w:lvl w:ilvl="4" w:tplc="0C090019" w:tentative="1">
				<w:start w:val="1" />
				<w:numFmt w:val="lowerLetter" />
				<w:lvlText w:val="%5." />
				<w:lvlJc w:val="left" />
				<w:pPr>
					<w:ind w:left="3600" w:hanging="360" />
				</w:pPr>
			</w:lvl>
			<w:lvl w:ilvl="5" w:tplc="0C09001B" w:tentative="1">
				<w:start w:val="1" />
				<w:numFmt w:val="lowerRoman" />
				<w:lvlText w:val="%6." />
				<w:lvlJc w:val="right" />
				<w:pPr>
					<w:ind w:left="4320" w:hanging="180" />
				</w:pPr>
			</w:lvl>
			<w:lvl w:ilvl="6" w:tplc="0C09000F" w:tentative="1">
				<w:start w:val="1" />
				<w:numFmt w:val="decimal" />
				<w:lvlText w:val="%7." />
				<w:lvlJc w:val="left" />
				<w:pPr>
					<w:ind w:left="5040" w:hanging="360" />
				</w:pPr>
			</w:lvl>
			<w:lvl w:ilvl="7" w:tplc="0C090019" w:tentative="1">
				<w:start w:val="1" />
				<w:numFmt w:val="lowerLetter" />
				<w:lvlText w:val="%8." />
				<w:lvlJc w:val="left" />
				<w:pPr>
					<w:ind w:left="5760" w:hanging="360" />
				</w:pPr>
			</w:lvl>
			<w:lvl w:ilvl="8" w:tplc="0C09001B" w:tentative="1">
				<w:start w:val="1" />
				<w:numFmt w:val="lowerRoman" />
				<w:lvlText w:val="%9." />
				<w:lvlJc w:val="right" />
				<w:pPr>
					<w:ind w:left="6480" w:hanging="180" />
				</w:pPr>
			</w:lvl>
		</w:abstractNum>
	</xsl:template>

	<xsl:template name="createList">
		<xsl:param name="id" />
		<w:abstractNum w:abstractNumId="{number($id)-1}">
			<w:nsid w:val="0DBA5D{$id}" />
			<w:multiLevelType w:val="hybridMultilevel" />
			<w:tmpl w:val="1ED2CBA0" />
			<w:lvl w:ilvl="0" w:tplc="0C090001">
				<w:start w:val="1" />
				<w:numFmt w:val="bullet" />
				<w:lvlText w:val="" />
				<w:lvlJc w:val="left" />
				<w:pPr>
					<w:ind w:left="720" w:hanging="360" />
				</w:pPr>
				<w:rPr>
					<w:rFonts w:ascii="Symbol" w:hAnsi="Symbol" w:hint="default" />
				</w:rPr>
			</w:lvl>
			<w:lvl w:ilvl="1" w:tplc="0C090003">
				<w:start w:val="1" />
				<w:numFmt w:val="bullet" />
				<w:lvlText w:val="o" />
				<w:lvlJc w:val="left" />
				<w:pPr>
					<w:ind w:left="1440" w:hanging="360" />
				</w:pPr>
				<w:rPr>
					<w:rFonts w:ascii="Courier New" w:hAnsi="Courier New"
						w:cs="Courier New" w:hint="default" />
				</w:rPr>
			</w:lvl>
			<w:lvl w:ilvl="2" w:tplc="0C090005" w:tentative="1">
				<w:start w:val="1" />
				<w:numFmt w:val="bullet" />
				<w:lvlText w:val="" />
				<w:lvlJc w:val="left" />
				<w:pPr>
					<w:ind w:left="2160" w:hanging="360" />
				</w:pPr>
				<w:rPr>
					<w:rFonts w:ascii="Wingdings" w:hAnsi="Wingdings" w:hint="default" />
				</w:rPr>
			</w:lvl>
			<w:lvl w:ilvl="3" w:tplc="0C090001" w:tentative="1">
				<w:start w:val="1" />
				<w:numFmt w:val="bullet" />
				<w:lvlText w:val="" />
				<w:lvlJc w:val="left" />
				<w:pPr>
					<w:ind w:left="2880" w:hanging="360" />
				</w:pPr>
				<w:rPr>
					<w:rFonts w:ascii="Symbol" w:hAnsi="Symbol" w:hint="default" />
				</w:rPr>
			</w:lvl>
			<w:lvl w:ilvl="4" w:tplc="0C090003" w:tentative="1">
				<w:start w:val="1" />
				<w:numFmt w:val="bullet" />
				<w:lvlText w:val="o" />
				<w:lvlJc w:val="left" />
				<w:pPr>
					<w:ind w:left="3600" w:hanging="360" />
				</w:pPr>
				<w:rPr>
					<w:rFonts w:ascii="Courier New" w:hAnsi="Courier New"
						w:cs="Courier New" w:hint="default" />
				</w:rPr>
			</w:lvl>
			<w:lvl w:ilvl="5" w:tplc="0C090005" w:tentative="1">
				<w:start w:val="1" />
				<w:numFmt w:val="bullet" />
				<w:lvlText w:val="" />
				<w:lvlJc w:val="left" />
				<w:pPr>
					<w:ind w:left="4320" w:hanging="360" />
				</w:pPr>
				<w:rPr>
					<w:rFonts w:ascii="Wingdings" w:hAnsi="Wingdings" w:hint="default" />
				</w:rPr>
			</w:lvl>
			<w:lvl w:ilvl="6" w:tplc="0C090001" w:tentative="1">
				<w:start w:val="1" />
				<w:numFmt w:val="bullet" />
				<w:lvlText w:val="" />
				<w:lvlJc w:val="left" />
				<w:pPr>
					<w:ind w:left="5040" w:hanging="360" />
				</w:pPr>
				<w:rPr>
					<w:rFonts w:ascii="Symbol" w:hAnsi="Symbol" w:hint="default" />
				</w:rPr>
			</w:lvl>
			<w:lvl w:ilvl="7" w:tplc="0C090003" w:tentative="1">
				<w:start w:val="1" />
				<w:numFmt w:val="bullet" />
				<w:lvlText w:val="o" />
				<w:lvlJc w:val="left" />
				<w:pPr>
					<w:ind w:left="5760" w:hanging="360" />
				</w:pPr>
				<w:rPr>
					<w:rFonts w:ascii="Courier New" w:hAnsi="Courier New"
						w:cs="Courier New" w:hint="default" />
				</w:rPr>
			</w:lvl>
			<w:lvl w:ilvl="8" w:tplc="0C090005" w:tentative="1">
				<w:start w:val="1" />
				<w:numFmt w:val="bullet" />
				<w:lvlText w:val="" />
				<w:lvlJc w:val="left" />
				<w:pPr>
					<w:ind w:left="6480" w:hanging="360" />
				</w:pPr>
				<w:rPr>
					<w:rFonts w:ascii="Wingdings" w:hAnsi="Wingdings" w:hint="default" />
				</w:rPr>
			</w:lvl>
		</w:abstractNum>
	</xsl:template>

	<xsl:variable name="abstractNums">
		<xsl:for-each select="$allLists/*">
			<xsl:comment>
				<xsl:value-of select="name()" />
			</xsl:comment>
			<xsl:choose>
				<xsl:when test="name()='list'">
					<xsl:call-template name="createListTest">
						<xsl:with-param name="id" select="position()"></xsl:with-param>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="createListTest">
						<xsl:with-param name="id" select="position()"></xsl:with-param>
					</xsl:call-template>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:variable>

	<xsl:template name="create-numbering">
		<xsl:param name="path" />
		<xsl:result-document href="{$path}/numbering.xml">
			<w:numbering
				xmlns:ve="http://schemas.openxmlformats.org/markup-compatibility/2006"
				xmlns:o="urn:schemas-microsoft-com:office:office"
				xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships"
				xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math"
				xmlns:v="urn:schemas-microsoft-com:vml"
				xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing"
				xmlns:w10="urn:schemas-microsoft-com:office:word"
				xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
				xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml">
				<xsl:copy-of select="$abstractNums" />
				<xsl:copy-of select="$nums" />
			</w:numbering>
		</xsl:result-document>
	</xsl:template>

</xsl:stylesheet>
